package cn.teammodel.model.entity.appraise;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AppraiseTreeNode {
    String id;
    String pid;
    String name;
    String logo;
    String creator;
    String creatorId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime createTime;
    /**
    * 排序
    */
    Integer order;
    /**
    * 分值
    */
    Integer score;
    /**
    * 是否表扬? 默认 true
    */
    @JsonProperty("isPraise")
    boolean isPraise;

    List<AppraiseTreeNode> children;
}
